QDEL(1)

NAME
qdel - delete Grid Engine jobs from queues

SYNTAX
qdel [ -f ] [ -help ] [ -verify ] [ job/task_id_list ]

qdel [ -f ] [ -help ] [ -verify ] -u user_list | -uall

DESCRIPTION
Qdel provides a means for a user/operator/manager to delete one or more jobs. Qdel deletes jobs in the order in which their job identifiers are presented.

OPTIONS

-f  Force action for running jobs. The job(s) are deleted from the list of jobs registered at even if the controlling the job(s) does not respond to the delete request sent by

Users which are neither Grid Engine managers nor operators can only use the -f option (for their own jobs) if the cluster configuration entry qmaster_params contains the flag ENABLE_FORCED_QDEL (see However, behavior for administrative and non-administrative users differs. Jobs are deleted from the Grid Engine database immediately in case of administrators. Otherwise, a regular deletion is attempted first and a forced cancellation is only executed if the regular deletion was unsuccessful.

-help
    Prints a listing of all options.

-u username,... | -uall
    Deletes only those jobs which were submitted by users specified in the list of usernames. For managers it is possible to use the qdel -uall command to delete all jobs of all users.

    If you use the -u or -uall switch it is be permitted to specify a additional job/task_id_list.

-verify
    performs no modifications but just prints what would be done if -verify was not present.

job/task_id_list
    Specified by the following form:

        job_id[.task_range][ job_id[.task_range] ...]

    If present, the task_range restricts the effect of the qdel operation to the array job task range specified as suffix to the job id (see the -t option to for further details on array jobs).

    The task range specifier has the form n[-m[:s]]. The range may be a single number, a simple range of the form n-m or a range with a step size.

    Instead of job/task_id_list it is possible to use the keyword 'all' to modify all jobs of the current user.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine cell. To address a Grid Engine cell qdel uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for Grid Engine communication of the qdel client resides. Per default the local host is used.

FILES
<sge_root>/<cell>/common/act_qmaster
	Grid Engine master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.